#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.2.12.0
 Author:         myName

 Script Function:
	Template AutoIt script.

#ce ----------------------------------------------------------------------------

#include-once
#include <GuiConstantsEx.au3>
#include <WindowsConstants.au3>
#include <StaticConstants.au3>

$hWnd = GUICreate('', 635, 476, -1, -1, $WS_POPUP)

$Pic = GUICtrlCreatePic('pic.jpg', 0, 0, 635, 476, BitOR($SS_NOTIFY, $WS_GROUP, $WS_CLIPSIBLINGS), $GUI_WS_EX_PARENTDRAG)

$WndMin = GUICtrlCreatePic('min0.bmp', 561, 0, 26, 17, BitOR($SS_NOTIFY, $WS_GROUP, $WS_CLIPSIBLINGS))
GUICtrlSetState(-1, $GUI_ONTOP)
GUICtrlSetTip(-1, 'Minimieren')

$WndClose = GUICtrlCreatePic('close0.bmp', 587, 0, 43, 17, BitOR($SS_NOTIFY, $WS_GROUP, $WS_CLIPSIBLINGS))
GUICtrlSetState(-1, $GUI_ONTOP)
GUICtrlSetTip(-1, 'Schliessen')

$btnBeenden = GUICtrlCreatePic('BtnStpD.bmp', 528, 386, 80, 27, BitOR($SS_NOTIFY, $WS_GROUP, $WS_CLIPSIBLINGS))
GUICtrlSetState(-1, $GUI_ONTOP)
GUICtrlSetTip(-1, 'Programm beenden')

_GuiRoundCorners($hWnd, 0, 0, 6, 6)

GUISetState()

While 1
	
	Switch GUIGetMsg()
		
		Case $WndClose
			Exit
		Case $btnBeenden
			Exit
	EndSwitch
	
	_PicButtonFromFile($hWnd, $WndMin, 'min0.bmp', 'min1.bmp', 'min2.bmp', 'Minimize')
	_PicButtonFromFile($hWnd, $WndClose, 'close0.bmp', 'close1.bmp', 'close2.bmp', 'Terminate')
	_PicButtonFromFile($hWnd, $btnBeenden, 'BtnStpD.bmp', 'BtnStpH.bmp', 'BtnStpH.bmp', 'Terminate')
	
WEnd



Func Minimize()
	
	GUISetState(@SW_MINIMIZE)
	
EndFunc

Func Terminate()
	
	Exit
	
EndFunc

Func _GuiRoundCorners($h_win, $i_x1, $i_y1, $i_x3, $i_y3)
	
	Local $pos = WinGetPos($h_win), $ret, $ret2
	
	$ret = DllCall("gdi32.dll", "long", "CreateRoundRectRgn", _
											"long", $i_x1, _
											"long", $i_y1, _
											"long", $pos[2], _
											"long", $pos[3], _
											"long", $i_x3, _
											"long", $i_y3)
	If $ret[0] Then
		$ret2 = DllCall("user32.dll", "long", "SetWindowRgn", "hwnd", $h_win, "long", $ret[0], "int", 1)
		If $ret2[0] Then
			Return 1
		Else
			Return 0
		EndIf
	Else
		Return 0
	EndIf
	
EndFunc

Func _PicButtonFromFile($hWnd, $controlID, $defaultPic, $onHooverPic, $onClickPic, $Function = '', $parameters = '')

	Local $resFunc
	If $onClickPic = '' Or $onClickPic = -1 Then $onClickPic = $onHooverPic
	$cMsg = GUIGetCursorInfo($hWnd)
	If $cMsg[4] = $controlID Then
		GUICtrlSetImage($controlID, $onHooverPic)
		$cMsg = GUIGetCursorInfo($hWnd)
		While $cMsg[4] = $controlID
			If GUIGetMsg() = $controlID Then
				GUICtrlSetImage($controlID, $onClickPic)
				$resFunc = Execute($Function & '(' & $parameters & ')') ; auf klick Funktion ausfhren.
			EndIf
			Sleep(10)
			$cMsg = GUIGetCursorInfo($hWnd)
		WEnd
		GUICtrlSetImage($controlID, $defaultPic)
		Return $resFunc
	EndIf

EndFunc   ;==>_PicButtonFromFile

